Subject: Re: bug list
From: [email-masked] (Mumit Khan)

18 Nov 1998 02:19:19 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: "Stephen R. Whiteley" <[email-masked]>
Cc: [email-masked]

On Sat, 7 Nov 1998, Stephen R. Whiteley wrote:

> 
> Here are a few things I noticed while moving from b19 -> b20:
> 
> Cygwin b20 Nov 2 release
> running NT4 SP3
> 
> 1.  cpp seems to not work right.  Instead of stripping out an undefined
>     #ifdef/#endif block, it strips the preprocessor lines and leaves the
>     block intact.  I don't know how general this is.  In particular,
>     when compiling libX11 (R6.3 patch, modified), "make X11.def" gives
>     a bogus file.  Replacing the cpp call with "gcc -E -" solved the
>     problem.  I noticed that this was done in the R6.4 patch.

Stephen,

What cpp were you using? The one supplied with gcc, which is buried way
down in the compiler directory or some other (eg., Borland also supplies a
cpp.exe, which causes lots of problems with configure scripts that look
for the cpp executable).

Regards,
Mumit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".